Skip to main content

Set Group Administrator

You can call this API to set administrators for a group.

tip

Only the Group Owner can add administrators.

Enable the Service​

Before calling this API, enable the profile hosting service by submitting a ticket.

Request Method​

POST: https://data center domain/entrust/group/manager/add.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests require signature verification. See API Request Signature.

Request Parameters​

The HTTP request body uses application/x-www-form-urlencoded format and supports the following form parameters:

ParameterTypeRequiredDescription
groupIdStringYesGroup ID.
userIdsArrayYesArray of user IDs to be set as administrators. Users must be group members. A group can have up to 10 administrators.

Request Example​

POST /entrust/group/manager/add.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

groupId=groupId1&userIds=userId&userIds=userId1

Response​

The HTTP response body contains a JSON object with the following structure:

FieldTypeDescription
codeNumberStatus code. 200 indicates success.
userIdsArrayArray of user IDs that failed to be added because they weren't group members.
managerCountNumberReturns current administrator count when exceeding the limit.

Response Example​

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 200
}